## org.metaabm.act.impl
Class ADiffuseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl
                          org.metaabm.act.impl.ASelectImpl
                              org.metaabm.act.impl.ADiffuseImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAct, ADiffuse, ARoot, ASelect, IAct, IID

    public class ADiffuseImpl

extends ASelectImpl
implements ADiffuse

An implementation of the model object ' ADiffuse'.

The following features are implemented:

- `Diffused`
- `Diffusion Rate`
- `Evaporation Rate`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SAttribute` `basicGetDiffused()`
`SAttribute` `basicGetDiffusionRate()`
`SAttribute` `basicGetEvaporationRate()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SAttribute` `getDiffused()`
`SAttribute` `getDiffusionRate()`
`SAttribute` `getEvaporationRate()`
`void` `setDiffused(SAttribute newDiffused)`
`void` `setDiffusionRate(SAttribute newDiffusionRate)`
`void` `setEvaporationRate(SAttribute newEvaporationRate)`

Methods inherited from class org.metaabm.act.impl.ASelectImpl
`basicGetAgent, basicGetSpace, getAgent, getFor, getSpace, isReachable, setAgent, setFor, setSpace, toString`

Methods inherited from class org.metaabm.act.impl.AActImpl
`basicGetReference, basicGetRootSelected, basicGetSelected, basicSetGroup, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isTargetOf, references, setGroup, setSelected`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getDiffused

    public SAttribute getDiffused()

  Specified by:
    `getDiffused` in interface `ADiffuse`
  Returns:
    the value of the 'Diffused' reference.
  See Also:
    `ADiffuse.setDiffused(SAttribute)`, `MetaABMActPackage.getADiffuse_Diffused()`

### basicGetDiffused

    public SAttribute basicGetDiffused()

### setDiffused

    public void setDiffused(SAttribute newDiffused)

  Specified by:
    `setDiffused` in interface `ADiffuse`
  Parameters:
    `newDiffused` - the new value of the 'Diffused' reference.
  See Also:
    `ADiffuse.getDiffused()`

### getDiffusionRate

    public SAttribute getDiffusionRate()

  Specified by:
    `getDiffusionRate` in interface `ADiffuse`
  Returns:
    the value of the 'Diffusion Rate' reference.
  See Also:
    `ADiffuse.setDiffusionRate(SAttribute)`, `MetaABMActPackage.getADiffuse_DiffusionRate()`

### basicGetDiffusionRate

    public SAttribute basicGetDiffusionRate()

### setDiffusionRate

    public void setDiffusionRate(SAttribute newDiffusionRate)

  Specified by:
    `setDiffusionRate` in interface `ADiffuse`
  Parameters:
    `newDiffusionRate` - the new value of the 'Diffusion Rate' reference.
  See Also:
    `ADiffuse.getDiffusionRate()`

### getEvaporationRate

    public SAttribute getEvaporationRate()

  Specified by:
    `getEvaporationRate` in interface `ADiffuse`
  Returns:
    the value of the 'Evaporation Rate' reference.
  See Also:
    `ADiffuse.setEvaporationRate(SAttribute)`, `MetaABMActPackage.getADiffuse_EvaporationRate()`

### basicGetEvaporationRate

    public SAttribute basicGetEvaporationRate()

### setEvaporationRate

    public void setEvaporationRate(SAttribute newEvaporationRate)

  Specified by:
    `setEvaporationRate` in interface `ADiffuse`
  Parameters:
    `newEvaporationRate` - the new value of the 'Evaporation Rate' reference.
  See Also:
    `ADiffuse.getEvaporationRate()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ASelectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ASelectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ASelectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ASelectImpl`